%define name libcxp
%define version 0.5.5
%define  release 0vl1

Name: %{name}
Summary: libcxp is the base library of cxp application family.
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.gz
Group: Development/Libraries
URL: http://cxplorer.sourceforge.jp/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
License: GPL
Requires: gtk2 GConf2 shared-mime-info
BuildRequires: gtk2-devel GConf2-devel

Summary(ja): libcxpϡcxpץꥱեߥΥ١饤֥Ǥ

%description
libcxp is the base library of cxp application family. But, cxplorer is only
applicaiton which is developped as cxp family yet.

%description -l ja
 libcxpϡcxpץꥱեߥΥ١饤֥Ǥޤ
cxp familyȤƳȯƤΤcxplorerΤߤǤ

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}
%build
%configure

make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%{find_lang} %{name}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/libcxp.schemas > /dev/null

%preun
if [ $1 = 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/libcxp.schemas > /dev/null
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS
/usr/include/cxp
/usr/lib/libcxp.so.0.0.0
/usr/lib/libcxp.so.0
/usr/lib/libcxp.so
/usr/lib/libcxp.la
/usr/lib/libcxp.a
/usr/lib/pkgconfig/libcxp.pc
/usr/share/pixmaps/cxp
/etc/gconf/schemas/libcxp.schemas

%changelog
* Wed Oct 12 2005 Yasumichi Akahoshi <w2linux@lapis.plala.or.jp>
- 0.5.5-0vl1
- version update(upstream)

* Wed Oct 05 2005 Yasumichi Akahoshi <w2linux@lapis.plala.or.jp>
- version update(upstream)

* Thu Sep 08 2005 Yasumichi Akahoshi <w2linux@lapis.plala.or.jp>
- version update(upstream)

* Mon Sep 05 2005 Yasumichi Akahoshi <w2linux@lapis.plala.or.jp>
- 0.5.0-0vl1
- version update(upstream)
- add script related gconf.

* Thu May 19 2005 Yasumichi Akahoshi <w2linux@lapis.plala.or.jp>
- 0.4.2-0vl1
- revision update(upstream)
- 0.4.2-0vl2
- fix GROUP

* Wed May 11 2005 Yasumichi Akahoshi <w2linux@lapis.plala.or.jp>
- 0.4.1-0vl1
- First release
